Bug 70392 - Rename 'Databases > Enable Debug' action
Rename 'Databases > Enable Debug' action
Product: db
Classification: Unclassified
Component: Code
All All
: P2 (vote)
Assigned To: matthias42
Depends on:
Blocks: 152816
  Show dependency treegraph
Reported: 2005-12-14 12:28 UTC by Martin Schovanek
Modified: 2015-01-25 19:38 UTC (History)
0 users

See Also:

proposed patch v1 (11.07 KB, patch)
2014-11-18 18:12 UTC, matthias42
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Martin Schovanek 2005-12-14 12:28:30 UTC
The 'Enable Debug' wording is litle misleading, in fact it starts a kaind of
logging no debugging. So 'Enabling Logging' will be more accurate.
Comment 1 Jiri Rechtacek 2009-10-16 14:04:46 UTC
Reassigned to new owner.
Comment 2 matthias42 2014-11-18 18:12:14 UTC
Created attachment 150556 [details]
proposed patch v1

The correct way to get debug output is IMHO the logging system. The attached patch removes the "Debug"-Option completely. A normal user does not need it. And if it is needed, it's easy enough to enable logging. To get the old output, just set the logger 


to fine and the old output is written to the netbeans log file.
Comment 3 matthias42 2015-01-21 22:06:22 UTC
patch committed as: http://hg.netbeans.org/core-main/rev/a5d5a83fcf27
Comment 4 Quality Engineering 2015-01-23 04:06:53 UTC
Integrated into 'main-silver', will be available in build *201501230002* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)

Changeset: http://hg.netbeans.org/main-silver/rev/a5d5a83fcf27
User: Matthias Blaesing <matthias42@netbeans.org>
Log: #70392: Remove 'Enable Debug' option from databases menu and move to java.util.logging
Comment 5 matthias42 2015-01-25 19:38:37 UTC
Please help with QA - in the nightly build the patch can be tested. Please check if your problem is fixed there. If so, please change the status of this bug to "VERIFIED".

By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo